//
// Copyright (c) Microsoft. All rights reserved.
// See https://aka.ms/azai/vision/license for the full license information.
//

#pragma once
#include <azac_api_cxx_details_property_collection.h>
#include <vision_api_cxx_common.h>

namespace Azure {
namespace AI {
namespace Vision {
namespace Input {

/// <summary>
/// Enumeration of vision source properties
/// </summary>
enum class VisionSourceProperty
{
    /// <summary>
    /// Not yet implemented
    /// </summary>
    TODO = -1

    // TODO: TFS#3664441 Vision Media APIs - What VisionSourceProperty do we want?
};

} } } } // Azure::AI::Vision::Input

PRIVATE_PROPERTY_COLLECTION_STATICS(Azure::AI::Vision::Input::VisionSourceProperty, "vision.source")
